using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Mall.MCScriptManageServices
{
    public partial class UpdateBrand : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //updateBrandJsons
            //"Id", "Name", "Content", "Img_Logo", "Img_LogoB", "Intro" 
            string _ID = Request["id"] == null ? "0" : Request["id"].ToString();
            string _Name = Request["Name"] == null ? "" : Request["Name"].ToString();
            string _Content = Request["Content"] == null ? "" : Request["Content"].ToString();
            string _Img_Logo = Request["Img_Logo"] == null ? "" : Request["Img_Logo"].ToString();
            string _Img_LogoB = Request["Img_LogoB"] == null ? "" : Request["Img_LogoB"].ToString();
            string _Intro = Request["Intro"] == null ? "" : Request["Intro"].ToString();
            MODEL.MBrand model = new MODEL.MBrand();
            model.Name = _Name;
            model.Content = _Content;
            model.Img_Logo = _Img_Logo;
            model.Img_LogoB = _Img_LogoB;
            model.Intro = _Intro;
            model.Id = Convert.ToInt32(_ID);
            BLL.Models.MBrandMModels models = new BLL.Models.MBrandMModels();
            bool ret = models.UpdateBrand(model);// mss.AddClassinfo(modelclass);
            string jsons = string.Empty;
            if (ret)
            {

                jsons = "{success:'true'}";

            }
            else
            {

                jsons = "{success:'false'}";
            }
            Response.Write(jsons);
        }
    }
}